Loading...
Searching...
No Matches
rostlab::blast Namespace Reference

## Classes

class | parser_error
class | parser_driver
| Blast (default, -m 0) output parser. More...
class | position
| A point in a source file. More...
class | location
| Two points in a source file. More...
class | parser
| A Bison parser. More...
struct | round
| Data specific to an iterated blast round. More...
struct | hsp
| High-scoring segment pair. More...
struct | hit
| Blast hit. More...
struct | oneline
| One-line description. More...
struct | result
| Blast result for one query. More...

## Functions

position & | operator+= (position &res, position::counter_type width)
| Add width columns, in place.
position | operator+ (position res, position::counter_type width)
| Add width columns.
position & | operator-= (position &res, position::counter_type width)
| Subtract width columns, in place.
position | operator- (position res, position::counter_type width)
| Subtract width columns.
template<typename YYChar>
std::basic_ostream< YYChar > & | operator<< (std::basic_ostream< YYChar > &ostr, const position &pos)
| Intercept output stream redirection.
location & | operator+= (location &res, const location &end)
| Join two locations, in place.
location | operator+ (location res, const location &end)
| Join two locations.
location & | operator+= (location &res, location::counter_type width)
| Add width columns to the end position, in place.
location | operator+ (location res, location::counter_type width)
| Add width columns to the end position.
location & | operator-= (location &res, location::counter_type width)
| Subtract width columns to the end position, in place.
location | operator- (location res, location::counter_type width)
| Subtract width columns to the end position.
template<typename YYChar>
std::basic_ostream< YYChar > & | operator<< (std::basic_ostream< YYChar > &ostr, const location &loc)
| Intercept output stream redirection.

## Function Documentation

## operator+() [1/3]

location rostlab::blast::operator+ | ( | location | res,
|  | const location & | end )

inline

Join two locations.

Definition at line 244 of file blast-parser-location.h.

## operator+() [2/3]

location rostlab::blast::operator+ | ( | location | res,
|  | location::counter_type | width )

inline

Add width columns to the end position.

Definition at line 259 of file blast-parser-location.h.

## operator+() [3/3]

position rostlab::blast::operator+ | ( | position | res,
|  | position::counter_type | width )

inline

Add width columns.

Definition at line 133 of file blast-parser-location.h.

## operator+=() [1/3]

location & rostlab::blast::operator+= | ( | location & | res,
|  | const location & | end )

inline

Join two locations, in place.

Definition at line 236 of file blast-parser-location.h.

## operator+=() [2/3]

location & rostlab::blast::operator+= | ( | location & | res,
|  | location::counter_type | width )

inline

Add width columns to the end position, in place.

Definition at line 251 of file blast-parser-location.h.

## operator+=() [3/3]

position & rostlab::blast::operator+= | ( | position & | res,
|  | position::counter_type | width )

inline

Add width columns, in place.

Definition at line 125 of file blast-parser-location.h.

## operator-() [1/2]

location rostlab::blast::operator- | ( | location | res,
|  | location::counter_type | width )

inline

Subtract width columns to the end position.

Definition at line 273 of file blast-parser-location.h.

## operator-() [2/2]

position rostlab::blast::operator- | ( | position | res,
|  | position::counter_type | width )

inline

Subtract width columns.

Definition at line 147 of file blast-parser-location.h.

## operator-=() [1/2]

location & rostlab::blast::operator-= | ( | location & | res,
|  | location::counter_type | width )

inline

Subtract width columns to the end position, in place.

Definition at line 266 of file blast-parser-location.h.

## operator-=() [2/2]

position & rostlab::blast::operator-= | ( | position & | res,
|  | position::counter_type | width )

inline

Subtract width columns, in place.

Definition at line 140 of file blast-parser-location.h.

## operator<<() [1/2]

template<typename YYChar>

std::basic_ostream< YYChar > & rostlab::blast::operator<< | ( | std::basic_ostream< YYChar > & | ostr,
|  | const location & | loc )

Intercept output stream redirection.

Parameters

  ostr | the destination output stream
  loc | a reference to the location to redirect

Avoid duplicate information.

Definition at line 273 of file blast-parser-location.h.

## operator<<() [2/2]

template<typename YYChar>

std::basic_ostream< YYChar > & rostlab::blast::operator<< | ( | std::basic_ostream< YYChar > & | ostr,
|  | const position & | pos )

Intercept output stream redirection.

Parameters

  ostr | the destination output stream
  pos | a reference to the position to redirect

Definition at line 147 of file blast-parser-location.h.